VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BypassProcessor< T >::Delay Struct Reference

`#include <vstbypassprocessor.h>`

## Public Member Functions
| Delay (int32 maxSamplesPerBlock, int32 delaySamples)
bool | hasDelay () const
int32 | getBufferSamples () const
bool | process (T *src, T *dst, int32 numSamples, bool silentIn)
void | flush ()

## Public Attributes
AudioBuffer< T > | mDelayBuffer
int32 | mDelaySamples
int32 | mInPos
int32 | mOutPos

## Constructor & Destructor Documentation

## ◆ Delay()

template<typename T>

Delay | ( | int32 | maxSamplesPerBlock,
|  | int32 | delaySamples )
| inline

## Member Function Documentation

## ◆ hasDelay()

template<typename T>

bool hasDelay | ( |  | ) | const
| inline

## ◆ getBufferSamples()

template<typename T>

int32 getBufferSamples | ( |  | ) | const
| inline

## ◆ process()

template<typename T>

bool process | ( | T * | src,
|  | T * | dst,
|  | int32 | numSamples,
|  | bool | silentIn )
| inline

## ◆ flush()

template<typename T>

void flush | ( |  | ) |
| inline

## Member Data Documentation

## ◆ mDelayBuffer

template<typename T>

AudioBuffer<T> mDelayBuffer

## ◆ mDelaySamples

template<typename T>

int32 mDelaySamples

## ◆ mInPos

template<typename T>

int32 mInPos

## ◆ mOutPos

template<typename T>

int32 mOutPos

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.